Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Module Metaball

The Blender.Metaball submodule

This module provides access to the Metaball Data in Blender.

Example:

     import Blender
     scene = Blender.Scene.getCurrent ()   # get the current scene
     ob = Blender.Metaball.New ('mball')   # make  metaball

Classes |
`Metaball` | This metaball gives access to generic data from all metaballs in Blender.

Function Summary |
Blender Metaball or a list of Blender Metaballs | `Get(name)` Get the Metaball from Blender.
Blender Metaball | `New(name)` Creates a new Metaball.

Function Details |

Get(name)

Get the Metaball from Blender.

  Parameters:

    `name` - The name of the requested Metaball.

    (type=string)

  Returns:

    It depends on the 'name' parameter:

    - (name): The Metaball with the given name;

    - (): A list with all Metaballs in the current scene.

    (type=Blender Metaball or a list of Blender Metaballs)

New(name)

Creates a new Metaball.

  Parameters:

    `name` - The name of the metaball. If this parameter is not given (or not valid) blender will assign a name to the metaball.

    (type=string)

  Returns:

    The created Metaball.

    (type=Blender Metaball)

<<< Previous | Home | Next >>>
The World object | Up | Class Metaball